| THM1176InstrumentManager 1.2 Qt Object abstraction for Metrolab THM1176

Loading...
Searching...
No Matches
MTL::CTHM1176InstrumentController Class Reference

THM1176 Instrument Controller class: communicate with instrument. More...

`#include <CTHM1176InstrumentManager.h>`

Inheritance diagram for MTL::CTHM1176InstrumentController:
[legend]
Collaboration diagram for MTL::CTHM1176InstrumentController:
[legend]

## Public Slots
void | Start (THM1176_RSRC_MGR_CLS *pResourceManager)
| Initialize the Instrument Controller.
void | Stop (void)
| Shut down the Instrument Controller.
void | UpdateInstrumentList (CResourceList InstrumentList)
| Update the Instrument Controller's copy of the list of detected instruments.
void | SetCurrentInstrument (tResourceName CurrentInstrument)
| Select the instrument to connect to.
void | SetOperatingMode (eTHM1176OperatingMode OperatingMode)
| Set operating mode.
void | SendTrigger (void)
| Send a bus trigger.
void | SetAveragingParms (sAveraging< uParm > AveragingParms)
| Set the averaging parameters.
void | SetTriggerParms (sInputTrigger< uParm > TriggerParms)
| Set the trigger parameters.
void | SetOutputSelect (sArbitraryMeasurements OutputSelect)
| Select what data is returned.
void | SetSleepParm (bool SleepParm)
| Set whether or not the instrument sleeps after each measurement.
void | SetUnits (eTHM1176Units Units)
| Select the measurement units.
void | SetRangeParms (sRange< uParm > RangeParms)
| Set range parameters.
void | SetCommFormat (eCommunicationFormat CommFormat)
| Set communication format.
void | SetCalibrationOverride (bool Override)
| Set whether or not to override the check for instruments whose zero offset should not be calibrated.

## Signals
void | UpdateCurrentInstrument (tResourceName CurrentInstrument)
| Signal that current instrument selection has changed.
void | UpdateInstrumentPointer (CTHM1176Instrument< THM1176_INSTR_CLS, THM1176_RSRC_MGR_CLS > *pTHM1176)
| Signal to broadcast updated pointer to THM1176 Instrument object.
void | UpdateOperatingMode (eTHM1176OperatingMode OperatingMode)
| Signal that the operating mode has changed.
void | UpdateMeasurement (CMeasurement Measurement)
| Signal that a new measurement is available.
void | UpdateErrorList (CErrorList LatestErrors)
| Signal that new errors have been reported.
void | UpdateIdentification (sIdentifier Identification)
| Signal to report identifier information for newly connected instrument.
void | UpdateRangeList (CFluxList RangeList)
| Signal to report list of valid ranges for newly connected instrument.
void | UpdateUnitsList (CTHM1176UnitsList UnitsList)
| Signal to report list of valid measurement units for newly connected instrument.
void | UpdateDivisorList (CDivisorList DivisorList)
| Signal to report divisors associated with valid measurement units for newly connected instrument.
void | UpdateAveragingParmBounds (sAveraging< sBoundedParm > AveragingParmBounds)
| Signal to report bounds of averaging parameters for newly connected instrument.
void | UpdateTriggerParmBounds (sInputTrigger< sBoundedParm > TriggerParmBounds)
| Signal to report bounds of trigger parameters for newly connected instrument.
void | UpdateRangeParmBounds (sRange< sBoundedParm > RangeParmBounds)
| Signal to report bounds of range parameters for newly connected instrument.
void | UpdateAveragingParms (sAveraging< uParm > AveragingParms)
| Signal a change of the averaging parameters.
void | UpdateTriggerParms (sInputTrigger< uParm > TriggerParms)
| Signal a change of the trigger parameters.
void | UpdateOutputSelect (sArbitraryMeasurements OutputSelect)
| Signal a change of the output selection parameters.
void | UpdateSleepParm (bool SleepParm)
| Signal a change of the sleep parameter.
void | UpdateUnits (eTHM1176Units Units)
| Signal a change of the measurement units.
void | UpdateRangeParms (sRange< uParm > RangeParms)
| Signal a change of the range parameters.
void | UpdateCommFormat (eCommunicationFormat CommFormat)
| Signal a change of the communication format.

## Public Member Functions
| CTHM1176InstrumentController (void)
| Constructor.
| ~CTHM1176InstrumentController (void) override
| Destructor.

## Detailed Description

THM1176 Instrument Controller class: communicate with instrument.

The user need not worry about this object. It is created and destroyed automatically by the THM1176 Instrument Manager public interface.

Definition at line 292 of file CTHM1176InstrumentManager.h.

## Constructor & Destructor Documentation

## ◆ CTHM1176InstrumentController()

MTL::CTHM1176InstrumentController::CTHM1176InstrumentController | ( | void |  | ) |
| inline

Constructor.

Definition at line 358 of file CTHM1176InstrumentManager.h.

## ◆ ~CTHM1176InstrumentController()

MTL::CTHM1176InstrumentController::~CTHM1176InstrumentController | ( | void |  | ) |
| inline override

Destructor.

Definition at line 380 of file CTHM1176InstrumentManager.h.

## Member Function Documentation

## ◆ SendTrigger

void CTHM1176InstrumentController::SendTrigger | ( | void |  | ) |
| slot

Send a bus trigger.

Definition at line 636 of file CTHM1176InstrumentManager.cpp.

## ◆ SetAveragingParms

void CTHM1176InstrumentController::SetAveragingParms | ( | sAveraging< uParm > | AveragingParms | ) |
| slot

Set the averaging parameters.

Parameters

  [in] | AveragingParms | Averaging parameters.

Definition at line 847 of file CTHM1176InstrumentManager.cpp.

## ◆ SetCalibrationOverride

void CTHM1176InstrumentController::SetCalibrationOverride | ( | bool | Override | ) |
| slot

Set whether or not to override the check for instruments whose zero offset should not be calibrated.

Parameters

  [in] | Override | Override the check if true.

Definition at line 1026 of file CTHM1176InstrumentManager.cpp.

## ◆ SetCommFormat

void CTHM1176InstrumentController::SetCommFormat | ( | eCommunicationFormat | CommFormat | ) |
| slot

Set communication format.

Parameters

  [in] | CommFormat | Communication format parameters.

Definition at line 1007 of file CTHM1176InstrumentManager.cpp.

## ◆ SetCurrentInstrument

void CTHM1176InstrumentController::SetCurrentInstrument | ( | tResourceName | CurrentInstrument | ) |
| slot

Select the instrument to connect to.

Parameters

  [in] | CurrentInstrument | Instrument's VISA resource name.

Definition at line 311 of file CTHM1176InstrumentManager.cpp.

## ◆ SetOperatingMode

void CTHM1176InstrumentController::SetOperatingMode | ( | eTHM1176OperatingMode | OperatingMode | ) |
| slot

Set operating mode.

Parameters

  [in] | OperatingMode | New operating mode.

Definition at line 410 of file CTHM1176InstrumentManager.cpp.

## ◆ SetOutputSelect

void CTHM1176InstrumentController::SetOutputSelect | ( | sArbitraryMeasurements | OutputSelect | ) |
| slot

Select what data is returned.

Parameters

  [in] | OutputSelect | Output selection parameters.

Definition at line 915 of file CTHM1176InstrumentManager.cpp.

## ◆ SetRangeParms

void CTHM1176InstrumentController::SetRangeParms | ( | sRange< uParm > | RangeParms | ) |
| slot

Set range parameters.

Parameters

  [in] | RangeParms | Range parameters.

Definition at line 988 of file CTHM1176InstrumentManager.cpp.

## ◆ SetSleepParm

void CTHM1176InstrumentController::SetSleepParm | ( | bool | SleepParm | ) |
| slot

Set whether or not the instrument sleeps after each measurement.

Parameters

  [in] | SleepParm | Sleep parameter.

Definition at line 928 of file CTHM1176InstrumentManager.cpp.

## ◆ SetTriggerParms

void CTHM1176InstrumentController::SetTriggerParms | ( | sInputTrigger< uParm > | TriggerParms | ) |
| slot

Set the trigger parameters.

Parameters

  [in] | TriggerParms | Trigger parameters.

Definition at line 881 of file CTHM1176InstrumentManager.cpp.

## ◆ SetUnits

void CTHM1176InstrumentController::SetUnits | ( | eTHM1176Units | Units | ) |
| slot

Select the measurement units.

Parameters

  [in] | Units | Measurement units.

Definition at line 947 of file CTHM1176InstrumentManager.cpp.

## ◆ Start

void CTHM1176InstrumentController::Start | ( | THM1176_RSRC_MGR_CLS * | pResourceManager | ) |
| slot

Initialize the Instrument Controller.

Parameters

  [in] | pResourceManager | Pointer to VISA Resource Manager.

Definition at line 113 of file CTHM1176InstrumentManager.cpp.

## ◆ Stop

void CTHM1176InstrumentController::Stop | ( | void |  | ) |
| slot

Shut down the Instrument Controller.

Definition at line 119 of file CTHM1176InstrumentManager.cpp.

## ◆ UpdateAveragingParmBounds

void MTL::CTHM1176InstrumentController::UpdateAveragingParmBounds | ( | sAveraging< sBoundedParm > | AveragingParmBounds | ) |
| signal

Signal to report bounds of averaging parameters for newly connected instrument.

Parameters

  [in] | AveragingParmBounds | Bounds for averaging parameters.

## ◆ UpdateAveragingParms

void MTL::CTHM1176InstrumentController::UpdateAveragingParms | ( | sAveraging< uParm > | AveragingParms | ) |
| signal

Signal a change of the averaging parameters.

Parameters

  [in] | AveragingParms | New averaging parameters.

## ◆ UpdateCommFormat

void MTL::CTHM1176InstrumentController::UpdateCommFormat | ( | eCommunicationFormat | CommFormat | ) |
| signal

Signal a change of the communication format.

Parameters

  [in] | CommFormat | New communication format.

## ◆ UpdateCurrentInstrument

void MTL::CTHM1176InstrumentController::UpdateCurrentInstrument | ( | tResourceName | CurrentInstrument | ) |
| signal

Signal that current instrument selection has changed.

Parameters

  [in] | CurrentInstrument | VISA resource name of newly selected instrument.

## ◆ UpdateDivisorList

void MTL::CTHM1176InstrumentController::UpdateDivisorList | ( | CDivisorList | DivisorList | ) |
| signal

Signal to report divisors associated with valid measurement units for newly connected instrument.

Parameters

  [in] | DivisorList | List of divisors.

## ◆ UpdateErrorList

void MTL::CTHM1176InstrumentController::UpdateErrorList | ( | CErrorList | LatestErrors | ) |
| signal

Signal that new errors have been reported.

Parameters

  [in] | LatestErrors | List of latest errors.

## ◆ UpdateIdentification

void MTL::CTHM1176InstrumentController::UpdateIdentification | ( | sIdentifier | Identification | ) |
| signal

Signal to report identifier information for newly connected instrument.

Parameters

  [in] | Identification | Instrument identifier information.

## ◆ UpdateInstrumentList

void CTHM1176InstrumentController::UpdateInstrumentList | ( | CResourceList | InstrumentList | ) |
| slot

Update the Instrument Controller's copy of the list of detected instruments.

Parameters

  [in] | InstrumentList | Updated list of detected instruments.

Definition at line 278 of file CTHM1176InstrumentManager.cpp.

## ◆ UpdateInstrumentPointer

void MTL::CTHM1176InstrumentController::UpdateInstrumentPointer | ( | CTHM1176Instrument< THM1176_INSTR_CLS, THM1176_RSRC_MGR_CLS > * | pTHM1176 | ) |
| signal

Signal to broadcast updated pointer to THM1176 Instrument object.

Parameters

  [in] | pTHM1176 | Updated pointer to THM1176 Instrument object.

## ◆ UpdateMeasurement

void MTL::CTHM1176InstrumentController::UpdateMeasurement | ( | CMeasurement | Measurement | ) |
| signal

Signal that a new measurement is available.

Parameters

  [in] | Measurement | New measurement.

## ◆ UpdateOperatingMode

void MTL::CTHM1176InstrumentController::UpdateOperatingMode | ( | eTHM1176OperatingMode | OperatingMode | ) |
| signal

Signal that the operating mode has changed.

Parameters

  [in] | OperatingMode | New operating mode.

## ◆ UpdateOutputSelect

void MTL::CTHM1176InstrumentController::UpdateOutputSelect | ( | sArbitraryMeasurements | OutputSelect | ) |
| signal

Signal a change of the output selection parameters.

Parameters

  [in] | OutputSelect | New output selection parameters.

## ◆ UpdateRangeList

void MTL::CTHM1176InstrumentController::UpdateRangeList | ( | CFluxList | RangeList | ) |
| signal

Signal to report list of valid ranges for newly connected instrument.

Parameters

  [in] | RangeList | List of valid ranges.

## ◆ UpdateRangeParmBounds

void MTL::CTHM1176InstrumentController::UpdateRangeParmBounds | ( | sRange< sBoundedParm > | RangeParmBounds | ) |
| signal

Signal to report bounds of range parameters for newly connected instrument.

Parameters

  [in] | RangeParmBounds | Bounds for range parameters.

## ◆ UpdateRangeParms

void MTL::CTHM1176InstrumentController::UpdateRangeParms | ( | sRange< uParm > | RangeParms | ) |
| signal

Signal a change of the range parameters.

Parameters

  [in] | RangeParms | New range parameters.

## ◆ UpdateSleepParm

void MTL::CTHM1176InstrumentController::UpdateSleepParm | ( | bool | SleepParm | ) |
| signal

Signal a change of the sleep parameter.

Parameters

  [in] | SleepParm | New sleep parameter.

## ◆ UpdateTriggerParmBounds

void MTL::CTHM1176InstrumentController::UpdateTriggerParmBounds | ( | sInputTrigger< sBoundedParm > | TriggerParmBounds | ) |
| signal

Signal to report bounds of trigger parameters for newly connected instrument.

Parameters

  [in] | TriggerParmBounds | Bounds for trigger parameters.

## ◆ UpdateTriggerParms

void MTL::CTHM1176InstrumentController::UpdateTriggerParms | ( | sInputTrigger< uParm > | TriggerParms | ) |
| signal

Signal a change of the trigger parameters.

Parameters

  [in] | TriggerParms | New trigger parameters.

## ◆ UpdateUnits

void MTL::CTHM1176InstrumentController::UpdateUnits | ( | eTHM1176Units | Units | ) |
| signal

Signal a change of the measurement units.

Parameters

  [in] | Units | New measurement units.

## ◆ UpdateUnitsList

void MTL::CTHM1176InstrumentController::UpdateUnitsList | ( | CTHM1176UnitsList | UnitsList | ) |
| signal

Signal to report list of valid measurement units for newly connected instrument.

Parameters

  [in] | UnitsList | List of measurement units valid for this instrument model.

The documentation for this class was generated from the following files:

- THM1176InstrumentManager/include/CTHM1176InstrumentManager.h
- THM1176InstrumentManager/src/CTHM1176InstrumentManager.cpp